View Issue Details

IDProjectCategoryView StatusLast Update
0016371ScribusUser Interfacepublic2020-12-14 22:41
Reporterbubu Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.5.7.svn 
Target VersionFixed in Version1.5.7.svn 
Summary0016371: Make main list a little heigher to fit all menupoints without scrollbars in Preferences dialog
DescriptionThis patch reorganizes a little bit the layout of the preferences dialog to make "preferencesTypeList" higher and avoid scrollbar by default. I think this is a better layout.

See the attached patch and the before-after screenshot.

Maybe we can reduce a little bit the height of the whole Preferences dialog... What do you think?
TagsNo tags attached.
PatchYes

Relationships

child of 0013906 acknowledged Metabug: UI enhancement proposals (1.5.x.svn) 

Activities

bubu

2020-12-01 17:07

reporter  

preferences.diff (4,795 bytes)
diff --git a/scribus/ui/preferencesdialogbase.ui b/scribus/ui/preferencesdialogbase.ui
index 170e66f6c97ffe95c113af7a3ad30a76ecb0bb08..1906157b550323063f3b28a4684eaaee6d14deb6 100644
--- a/scribus/ui/preferencesdialogbase.ui
+++ b/scribus/ui/preferencesdialogbase.ui
@@ -51,76 +51,86 @@
       </widget>
      </item>
      <item>
-      <widget class="QStackedWidget" name="prefsStackWidget">
-       <widget class="QWidget" name="page_2"/>
-      </widget>
-     </item>
-    </layout>
-   </item>
-   <item>
-    <layout class="QHBoxLayout" name="buttonHorizontalLayout">
-     <item>
-      <widget class="QPushButton" name="exportButton">
-       <property name="text">
-        <string>Export...</string>
-       </property>
-       <property name="autoDefault">
-        <bool>false</bool>
-       </property>
-      </widget>
-     </item>
-     <item>
-      <widget class="QPushButton" name="defaultsButton">
-       <property name="text">
-        <string>Defaults</string>
-       </property>
-       <property name="autoDefault">
-        <bool>false</bool>
-       </property>
-      </widget>
-     </item>
-     <item>
-      <spacer name="buttonHorizontalSpacer">
-       <property name="orientation">
-        <enum>Qt::Horizontal</enum>
-       </property>
-       <property name="sizeHint" stdset="0">
-        <size>
-         <width>40</width>
-         <height>20</height>
-        </size>
-       </property>
-      </spacer>
-     </item>
-     <item>
-      <widget class="QPushButton" name="applyButton">
-       <property name="text">
-        <string>&amp;Apply</string>
-       </property>
-       <property name="autoDefault">
-        <bool>false</bool>
-       </property>
-      </widget>
-     </item>
-     <item>
-      <widget class="QPushButton" name="okButton">
-       <property name="text">
-        <string>&amp;OK</string>
-       </property>
-       <property name="autoDefault">
-        <bool>false</bool>
-       </property>
-      </widget>
-     </item>
-     <item>
-      <widget class="QPushButton" name="cancelButton">
-       <property name="text">
-        <string>&amp;Cancel</string>
-       </property>
-       <property name="default">
-        <bool>true</bool>
-       </property>
-      </widget>
+      <layout class="QVBoxLayout" name="verticalLayout_5">
+       <item>
+        <widget class="QStackedWidget" name="prefsStackWidget">
+         <widget class="QWidget" name="page_2"/>
+        </widget>
+       </item>
+       <item>
+        <layout class="QHBoxLayout" name="buttonHorizontalLayout">
+         <property name="leftMargin">
+          <number>9</number>
+         </property>
+         <property name="rightMargin">
+          <number>9</number>
+         </property>
+         <item>
+          <widget class="QPushButton" name="exportButton">
+           <property name="text">
+            <string>Export...</string>
+           </property>
+           <property name="autoDefault">
+            <bool>false</bool>
+           </property>
+          </widget>
+         </item>
+         <item>
+          <widget class="QPushButton" name="defaultsButton">
+           <property name="text">
+            <string>Defaults</string>
+           </property>
+           <property name="autoDefault">
+            <bool>false</bool>
+           </property>
+          </widget>
+         </item>
+         <item>
+          <spacer name="buttonHorizontalSpacer">
+           <property name="orientation">
+            <enum>Qt::Horizontal</enum>
+           </property>
+           <property name="sizeHint" stdset="0">
+            <size>
+             <width>40</width>
+             <height>20</height>
+            </size>
+           </property>
+          </spacer>
+         </item>
+         <item>
+          <widget class="QPushButton" name="applyButton">
+           <property name="text">
+            <string>&amp;Apply</string>
+           </property>
+           <property name="autoDefault">
+            <bool>false</bool>
+           </property>
+          </widget>
+         </item>
+         <item>
+          <widget class="QPushButton" name="okButton">
+           <property name="text">
+            <string>&amp;OK</string>
+           </property>
+           <property name="autoDefault">
+            <bool>false</bool>
+           </property>
+          </widget>
+         </item>
+         <item>
+          <widget class="QPushButton" name="cancelButton">
+           <property name="text">
+            <string>&amp;Cancel</string>
+           </property>
+           <property name="default">
+            <bool>true</bool>
+           </property>
+          </widget>
+         </item>
+        </layout>
+       </item>
+      </layout>
      </item>
     </layout>
    </item>
preferences.diff (4,795 bytes)
preferences.gif (99,844 bytes)
preferences.gif (99,844 bytes)

bubu

2020-12-02 21:36

reporter   ~0048519

In the meantime I found a better way... In this patch I propose to use the standard 9px frame around the main area too. See the attached screenshot. Patch is bigger because this solution affects every .ui file inside the main area.

preferences2.diff (32,702 bytes)
diff --git a/scribus/plugins/scriptplugin/prefs_scripterbase.ui b/scribus/plugins/scriptplugin/prefs_scripterbase.ui
index 7c35b7505c0cba228e9d55271bb4a2b6d80ce27e..84ce3e02cb55af96687df420b661be87489d1c89 100644
--- a/scribus/plugins/scriptplugin/prefs_scripterbase.ui
+++ b/scribus/plugins/scriptplugin/prefs_scripterbase.ui
@@ -14,6 +14,18 @@
    <string notr="true">Form</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout_3">
+   <property name="leftMargin">
+    <number>0</number>
+   </property>
+   <property name="topMargin">
+    <number>0</number>
+   </property>
+   <property name="rightMargin">
+    <number>0</number>
+   </property>
+   <property name="bottomMargin">
+    <number>0</number>
+   </property>
    <item>
     <widget class="QLabel" name="titleLabel">
      <property name="font">
diff --git a/scribus/plugins/scriptplugin_py2x/prefs_scripterbase.ui b/scribus/plugins/scriptplugin_py2x/prefs_scripterbase.ui
index 7c35b7505c0cba228e9d55271bb4a2b6d80ce27e..84ce3e02cb55af96687df420b661be87489d1c89 100644
--- a/scribus/plugins/scriptplugin_py2x/prefs_scripterbase.ui
+++ b/scribus/plugins/scriptplugin_py2x/prefs_scripterbase.ui
@@ -14,6 +14,18 @@
    <string notr="true">Form</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout_3">
+   <property name="leftMargin">
+    <number>0</number>
+   </property>
+   <property name="topMargin">
+    <number>0</number>
+   </property>
+   <property name="rightMargin">
+    <number>0</number>
+   </property>
+   <property name="bottomMargin">
+    <number>0</number>
+   </property>
    <item>
     <widget class="QLabel" name="titleLabel">
      <property name="font">
diff --git a/scribus/plugins/short-words/prefs_shortwordsbase.ui b/scribus/plugins/short-words/prefs_shortwordsbase.ui
index 210fbe2f043764cb0967542dc6f6007a5292f010..c88247daf8c0efdbdab4d0581a5d463fcf116f2e 100644
--- a/scribus/plugins/short-words/prefs_shortwordsbase.ui
+++ b/scribus/plugins/short-words/prefs_shortwordsbase.ui
@@ -14,6 +14,18 @@
    <string notr="true">Form</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
+   <property name="leftMargin">
+    <number>0</number>
+   </property>
+   <property name="topMargin">
+    <number>0</number>
+   </property>
+   <property name="rightMargin">
+    <number>0</number>
+   </property>
+   <property name="bottomMargin">
+    <number>0</number>
+   </property>
    <item>
     <widget class="QLabel" name="titleLabel">
      <property name="font">
diff --git a/scribus/ui/preferencesdialogbase.ui b/scribus/ui/preferencesdialogbase.ui
index 170e66f6c97ffe95c113af7a3ad30a76ecb0bb08..25d18bd611be849873d1c352d033b5c9b2a24d48 100644
--- a/scribus/ui/preferencesdialogbase.ui
+++ b/scribus/ui/preferencesdialogbase.ui
@@ -16,6 +16,9 @@
   <layout class="QVBoxLayout" name="verticalLayout">
    <item>
     <layout class="QHBoxLayout" name="frameHorizontalLayout">
+     <property name="spacing">
+      <number>9</number>
+     </property>
      <item>
       <widget class="QListWidget" name="preferencesTypeList">
        <property name="minimumSize">
@@ -51,76 +54,89 @@
       </widget>
      </item>
      <item>
-      <widget class="QStackedWidget" name="prefsStackWidget">
-       <widget class="QWidget" name="page_2"/>
-      </widget>
-     </item>
-    </layout>
-   </item>
-   <item>
-    <layout class="QHBoxLayout" name="buttonHorizontalLayout">
-     <item>
-      <widget class="QPushButton" name="exportButton">
-       <property name="text">
-        <string>Export...</string>
-       </property>
-       <property name="autoDefault">
-        <bool>false</bool>
-       </property>
-      </widget>
-     </item>
-     <item>
-      <widget class="QPushButton" name="defaultsButton">
-       <property name="text">
-        <string>Defaults</string>
-       </property>
-       <property name="autoDefault">
-        <bool>false</bool>
-       </property>
-      </widget>
-     </item>
-     <item>
-      <spacer name="buttonHorizontalSpacer">
-       <property name="orientation">
-        <enum>Qt::Horizontal</enum>
-       </property>
-       <property name="sizeHint" stdset="0">
-        <size>
-         <width>40</width>
-         <height>20</height>
-        </size>
-       </property>
-      </spacer>
-     </item>
-     <item>
-      <widget class="QPushButton" name="applyButton">
-       <property name="text">
-        <string>&amp;Apply</string>
-       </property>
-       <property name="autoDefault">
-        <bool>false</bool>
-       </property>
-      </widget>
-     </item>
-     <item>
-      <widget class="QPushButton" name="okButton">
-       <property name="text">
-        <string>&amp;OK</string>
-       </property>
-       <property name="autoDefault">
-        <bool>false</bool>
-       </property>
-      </widget>
-     </item>
-     <item>
-      <widget class="QPushButton" name="cancelButton">
-       <property name="text">
-        <string>&amp;Cancel</string>
-       </property>
-       <property name="default">
-        <bool>true</bool>
-       </property>
-      </widget>
+      <layout class="QVBoxLayout" name="verticalLayout_5">
+       <property name="spacing">
+        <number>9</number>
+       </property>
+       <item>
+        <widget class="QStackedWidget" name="prefsStackWidget">
+         <widget class="QWidget" name="page_2"/>
+        </widget>
+       </item>
+       <item>
+        <layout class="QHBoxLayout" name="buttonHorizontalLayout">
+         <property name="leftMargin">
+          <number>0</number>
+         </property>
+         <property name="rightMargin">
+          <number>0</number>
+         </property>
+         <item>
+          <widget class="QPushButton" name="exportButton">
+           <property name="text">
+            <string>Export...</string>
+           </property>
+           <property name="autoDefault">
+            <bool>false</bool>
+           </property>
+          </widget>
+         </item>
+         <item>
+          <widget class="QPushButton" name="defaultsButton">
+           <property name="text">
+            <string>Defaults</string>
+           </property>
+           <property name="autoDefault">
+            <bool>false</bool>
+           </property>
+          </widget>
+         </item>
+         <item>
+          <spacer name="buttonHorizontalSpacer">
+           <property name="orientation">
+            <enum>Qt::Horizontal</enum>
+           </property>
+           <property name="sizeHint" stdset="0">
+            <size>
+             <width>40</width>
+             <height>20</height>
+            </size>
+           </property>
+          </spacer>
+         </item>
+         <item>
+          <widget class="QPushButton" name="applyButton">
+           <property name="text">
+            <string>&amp;Apply</string>
+           </property>
+           <property name="autoDefault">
+            <bool>false</bool>
+           </property>
+          </widget>
+         </item>
+         <item>
+          <widget class="QPushButton" name="okButton">
+           <property name="text">
+            <string>&amp;OK</string>
+           </property>
+           <property name="autoDefault">
+            <bool>false</bool>
+           </property>
+          </widget>
+         </item>
+         <item>
+          <widget class="QPushButton" name="cancelButton">
+           <property name="text">
+            <string>&amp;Cancel</string>
+           </property>
+           <property name="default">
+            <bool>true</bool>
+           </property>
+          </widget>
+         </item>
+        </layout>
+       </item>
+      </layout>
      </item>
     </layout>
    </item>
diff --git a/scribus/ui/prefs_colormanagementbase.ui b/scribus/ui/prefs_colormanagementbase.ui
index 63e657ca167eb4e057bcc50a7930b028ce210059..22f28126056a411fcb89c93bb902f0703efb01e6 100644
--- a/scribus/ui/prefs_colormanagementbase.ui
+++ b/scribus/ui/prefs_colormanagementbase.ui
@@ -16,6 +16,18 @@
    <string notr="true">Form</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
+   <property name="leftMargin">
+    <number>0</number>
+   </property>
+   <property name="topMargin">
+    <number>0</number>
+   </property>
+   <property name="rightMargin">
+    <number>0</number>
+   </property>
+   <property name="bottomMargin">
+    <number>0</number>
+   </property>
    <item>
     <widget class="QLabel" name="titleLabel">
      <property name="font">
diff --git a/scribus/ui/prefs_displaybase.ui b/scribus/ui/prefs_displaybase.ui
index d67426fde214875c5c9588cad76705641d451dc4..a1a50e5bc2da99415a1981fec4029d4a247fd215 100644
--- a/scribus/ui/prefs_displaybase.ui
+++ b/scribus/ui/prefs_displaybase.ui
@@ -14,6 +14,18 @@
    <string notr="true">Form</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout_3">
+   <property name="leftMargin">
+    <number>0</number>
+   </property>
+   <property name="topMargin">
+    <number>0</number>
+   </property>
+   <property name="rightMargin">
+    <number>0</number>
+   </property>
+   <property name="bottomMargin">
+    <number>0</number>
+   </property>
    <item>
     <widget class="QLabel" name="label">
      <property name="font">
diff --git a/scribus/ui/prefs_documentinformationbase.ui b/scribus/ui/prefs_documentinformationbase.ui
index 9edde306243b3f415a2f384c5ad31b9e955f9b7a..de0ebeb7da25f2d4aee563dabb7ac8b11a4706da 100644
--- a/scribus/ui/prefs_documentinformationbase.ui
+++ b/scribus/ui/prefs_documentinformationbase.ui
@@ -14,6 +14,18 @@
    <string notr="true">Form</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
+   <property name="leftMargin">
+    <number>0</number>
+   </property>
+   <property name="topMargin">
+    <number>0</number>
+   </property>
+   <property name="rightMargin">
+    <number>0</number>
+   </property>
+   <property name="bottomMargin">
+    <number>0</number>
+   </property>
    <item>
     <widget class="QLabel" name="label">
      <property name="font">
diff --git a/scribus/ui/prefs_documentitemattributesbase.ui b/scribus/ui/prefs_documentitemattributesbase.ui
index 30afce544389688f13c5f9baa1e3fe31ae339604..d0c319edf0901084bba4fb1f5b08db2060fd1609 100644
--- a/scribus/ui/prefs_documentitemattributesbase.ui
+++ b/scribus/ui/prefs_documentitemattributesbase.ui
@@ -14,6 +14,18 @@
    <string>Document Item Attributes</string>
   </property>
   <layout class="QVBoxLayout">
+   <property name="leftMargin">
+    <number>0</number>
+   </property>
+   <property name="topMargin">
+    <number>0</number>
+   </property>
+   <property name="rightMargin">
+    <number>0</number>
+   </property>
+   <property name="bottomMargin">
+    <number>0</number>
+   </property>
    <item>
     <widget class="QLabel" name="label">
      <property name="font">
diff --git a/scribus/ui/prefs_documentsectionsbase.ui b/scribus/ui/prefs_documentsectionsbase.ui
index c49e0df0fa3c7e81c55371599027974bae833711..214239ba6dcf9554c8f2918a25489fe84dce8865 100644
--- a/scribus/ui/prefs_documentsectionsbase.ui
+++ b/scribus/ui/prefs_documentsectionsbase.ui
@@ -14,6 +14,18 @@
    <string>Document Sections</string>
   </property>
   <layout class="QVBoxLayout">
+   <property name="leftMargin">
+    <number>0</number>
+   </property>
+   <property name="topMargin">
+    <number>0</number>
+   </property>
+   <property name="rightMargin">
+    <number>0</number>
+   </property>
+   <property name="bottomMargin">
+    <number>0</number>
+   </property>
    <item>
     <widget class="QLabel" name="titleLabel">
      <property name="font">
diff --git a/scribus/ui/prefs_documentsetupbase.ui b/scribus/ui/prefs_documentsetupbase.ui
index 715eb78b74a8e94a1c57f945c5e852b190ad2d15..c6e83f8f5eaaffc20d468fa969d787902fa60161 100644
--- a/scribus/ui/prefs_documentsetupbase.ui
+++ b/scribus/ui/prefs_documentsetupbase.ui
@@ -14,6 +14,18 @@
    <string notr="true">Form</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout_2">
+   <property name="leftMargin">
+    <number>0</number>
+   </property>
+   <property name="topMargin">
+    <number>0</number>
+   </property>
+   <property name="rightMargin">
+    <number>0</number>
+   </property>
+   <property name="bottomMargin">
+    <number>0</number>
+   </property>
    <item>
     <widget class="QLabel" name="titleLabel">
      <property name="font">
diff --git a/scribus/ui/prefs_externaltoolsbase.ui b/scribus/ui/prefs_externaltoolsbase.ui
index 9a10c7ca8a39bc583b0f971721b46250a7af88fe..2447d974254e32a117d2f0ac1f2e765188db25c8 100644
--- a/scribus/ui/prefs_externaltoolsbase.ui
+++ b/scribus/ui/prefs_externaltoolsbase.ui
@@ -14,6 +14,18 @@
    <string>External Tools</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
+   <property name="leftMargin">
+    <number>0</number>
+   </property>
+   <property name="topMargin">
+    <number>0</number>
+   </property>
+   <property name="rightMargin">
+    <number>0</number>
+   </property>
+   <property name="bottomMargin">
+    <number>0</number>
+   </property>
    <item>
     <widget class="QLabel" name="label_6">
      <property name="font">
diff --git a/scribus/ui/prefs_fontsbase.ui b/scribus/ui/prefs_fontsbase.ui
index 92446eda53cb1c47ae596c88d2e45763de6ad431..7bb2845d877ea052c044e89eea61a4f05783f774 100644
--- a/scribus/ui/prefs_fontsbase.ui
+++ b/scribus/ui/prefs_fontsbase.ui
@@ -14,6 +14,18 @@
    <string notr="true">Form</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
+   <property name="leftMargin">
+    <number>0</number>
+   </property>
+   <property name="topMargin">
+    <number>0</number>
+   </property>
+   <property name="rightMargin">
+    <number>0</number>
+   </property>
+   <property name="bottomMargin">
+    <number>0</number>
+   </property>
    <item>
     <widget class="QLabel" name="label">
      <property name="font">
diff --git a/scribus/ui/prefs_guidesbase.ui b/scribus/ui/prefs_guidesbase.ui
index 2b981898394adda85055a9f9c3d5afe9040f0524..9dfe5b96ad8e161715322025697b573ea1a854ad 100644
--- a/scribus/ui/prefs_guidesbase.ui
+++ b/scribus/ui/prefs_guidesbase.ui
@@ -14,6 +14,18 @@
    <string notr="true">Form</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout_2">
+   <property name="leftMargin">
+    <number>0</number>
+   </property>
+   <property name="topMargin">
+    <number>0</number>
+   </property>
+   <property name="rightMargin">
+    <number>0</number>
+   </property>
+   <property name="bottomMargin">
+    <number>0</number>
+   </property>
    <item>
     <widget class="QLabel" name="label">
      <property name="font">
diff --git a/scribus/ui/prefs_hyphenatorbase.ui b/scribus/ui/prefs_hyphenatorbase.ui
index 84261cab115f4fba66128d12c9834e0f09fdc47b..815d13dd56b577b92b7ab3026bf3a1cec2564011 100644
--- a/scribus/ui/prefs_hyphenatorbase.ui
+++ b/scribus/ui/prefs_hyphenatorbase.ui
@@ -14,6 +14,18 @@
    <string notr="true">Form</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
+   <property name="leftMargin">
+    <number>0</number>
+   </property>
+   <property name="topMargin">
+    <number>0</number>
+   </property>
+   <property name="rightMargin">
+    <number>0</number>
+   </property>
+   <property name="bottomMargin">
+    <number>0</number>
+   </property>
    <item>
     <widget class="QLabel" name="label">
      <property name="font">
diff --git a/scribus/ui/prefs_imagecachebase.ui b/scribus/ui/prefs_imagecachebase.ui
index cad677ec6355c23f424ea1f3e8f37ddd701eccdc..2e1b66891203f4ecde0acd0d001a2120470d260c 100644
--- a/scribus/ui/prefs_imagecachebase.ui
+++ b/scribus/ui/prefs_imagecachebase.ui
@@ -14,6 +14,18 @@
    <string notr="true">Form</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
+   <property name="leftMargin">
+    <number>0</number>
+   </property>
+   <property name="topMargin">
+    <number>0</number>
+   </property>
+   <property name="rightMargin">
+    <number>0</number>
+   </property>
+   <property name="bottomMargin">
+    <number>0</number>
+   </property>
    <item>
     <widget class="QLabel" name="label">
      <property name="font">
diff --git a/scribus/ui/prefs_itemtoolsbase.ui b/scribus/ui/prefs_itemtoolsbase.ui
index 82b2f5cbf82e9524883d13fe9080f4413d20aa99..66a173198938060802ee3f34aa9b8e43f362e443 100644
--- a/scribus/ui/prefs_itemtoolsbase.ui
+++ b/scribus/ui/prefs_itemtoolsbase.ui
@@ -14,6 +14,18 @@
    <string notr="true">Form</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
+   <property name="leftMargin">
+    <number>0</number>
+   </property>
+   <property name="topMargin">
+    <number>0</number>
+   </property>
+   <property name="rightMargin">
+    <number>0</number>
+   </property>
+   <property name="bottomMargin">
+    <number>0</number>
+   </property>
    <item>
     <widget class="QLabel" name="label">
      <property name="font">
diff --git a/scribus/ui/prefs_keyboardshortcutsbase.ui b/scribus/ui/prefs_keyboardshortcutsbase.ui
index 0d7db6bd5d76664f5f2fdd897ceaf2df4e9e82da..b9ab74529ba90a49f0df727f68f7b612174f2d31 100644
--- a/scribus/ui/prefs_keyboardshortcutsbase.ui
+++ b/scribus/ui/prefs_keyboardshortcutsbase.ui
@@ -14,6 +14,18 @@
    <string>Keyboard Shortcuts</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
+   <property name="leftMargin">
+    <number>0</number>
+   </property>
+   <property name="topMargin">
+    <number>0</number>
+   </property>
+   <property name="rightMargin">
+    <number>0</number>
+   </property>
+   <property name="bottomMargin">
+    <number>0</number>
+   </property>
    <item>
     <widget class="QLabel" name="label">
      <property name="font">
diff --git a/scribus/ui/prefs_miscellaneousbase.ui b/scribus/ui/prefs_miscellaneousbase.ui
index bb863e9a1c2c2c4965c1b2d3c963f1564c674923..2cbd92b96aabb6828ad4c65444796800e3af2520 100644
--- a/scribus/ui/prefs_miscellaneousbase.ui
+++ b/scribus/ui/prefs_miscellaneousbase.ui
@@ -14,6 +14,18 @@
    <string notr="true">Form</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout_3">
+   <property name="leftMargin">
+    <number>0</number>
+   </property>
+   <property name="topMargin">
+    <number>0</number>
+   </property>
+   <property name="rightMargin">
+    <number>0</number>
+   </property>
+   <property name="bottomMargin">
+    <number>0</number>
+   </property>
    <item>
     <widget class="QLabel" name="titleLabel">
      <property name="font">
diff --git a/scribus/ui/prefs_operatortoolsbase.ui b/scribus/ui/prefs_operatortoolsbase.ui
index 48f9e4df3a14fe4d37896ffbbe32920c8f211f84..99779ae18d4dfaf81e035d968e0d9601cb600307 100644
--- a/scribus/ui/prefs_operatortoolsbase.ui
+++ b/scribus/ui/prefs_operatortoolsbase.ui
@@ -14,6 +14,18 @@
    <string notr="true">Form</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
+   <property name="leftMargin">
+    <number>0</number>
+   </property>
+   <property name="topMargin">
+    <number>0</number>
+   </property>
+   <property name="rightMargin">
+    <number>0</number>
+   </property>
+   <property name="bottomMargin">
+    <number>0</number>
+   </property>
    <item>
     <widget class="QLabel" name="label">
      <property name="font">
diff --git a/scribus/ui/prefs_pagesizesbase.ui b/scribus/ui/prefs_pagesizesbase.ui
index 129bcf797516242163872db6e79f8ef948e268d5..45c2fbe109d87f05d2396aaa3476632ca6fdf026 100644
--- a/scribus/ui/prefs_pagesizesbase.ui
+++ b/scribus/ui/prefs_pagesizesbase.ui
@@ -14,6 +14,18 @@
    <string notr="true">Form</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout_4">
+   <property name="leftMargin">
+    <number>0</number>
+   </property>
+   <property name="topMargin">
+    <number>0</number>
+   </property>
+   <property name="rightMargin">
+    <number>0</number>
+   </property>
+   <property name="bottomMargin">
+    <number>0</number>
+   </property>
    <item>
     <widget class="QLabel" name="label">
      <property name="font">
diff --git a/scribus/ui/prefs_pathsbase.ui b/scribus/ui/prefs_pathsbase.ui
index 34d766e53f261de296d157229185440959ef7d6a..cf5c39b6a5885f2845ce717e28cc64a0ffa2ca52 100644
--- a/scribus/ui/prefs_pathsbase.ui
+++ b/scribus/ui/prefs_pathsbase.ui
@@ -14,6 +14,18 @@
    <string notr="true">Form</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
+   <property name="leftMargin">
+    <number>0</number>
+   </property>
+   <property name="topMargin">
+    <number>0</number>
+   </property>
+   <property name="rightMargin">
+    <number>0</number>
+   </property>
+   <property name="bottomMargin">
+    <number>0</number>
+   </property>
    <item>
     <widget class="QLabel" name="label">
      <property name="font">
diff --git a/scribus/ui/prefs_pdfexportbase.ui b/scribus/ui/prefs_pdfexportbase.ui
index 15d2c01758e9cc291550ef19af24ebec409cdacf..5ffaba1974da33bbeaa59e5f6619e77854b8495a 100644
--- a/scribus/ui/prefs_pdfexportbase.ui
+++ b/scribus/ui/prefs_pdfexportbase.ui
@@ -10,12 +10,24 @@
     <height>550</height>
    </rect>
   </property>
-  <property name="windowTitle">
-   <string notr="true">Form</string>
-  </property>
-  <layout class="QVBoxLayout" name="verticalLayout">
-   <item>
-    <widget class="QLabel" name="label">
+  <property name="windowTitle">
+   <string notr="true">Form</string>
+  </property>
+  <layout class="QVBoxLayout" name="verticalLayout">
+   <property name="leftMargin">
+    <number>0</number>
+   </property>
+   <property name="topMargin">
+    <number>0</number>
+   </property>
+   <property name="rightMargin">
+    <number>0</number>
+   </property>
+   <property name="bottomMargin">
+    <number>0</number>
+   </property>
+   <item>
+    <widget class="QLabel" name="label">
      <property name="font">
       <font>
        <pointsize>14</pointsize>
@@ -235,24 +247,24 @@
      </widget>
      <widget class="QWidget" name="tabFileOptions">
       <attribute name="title">
-       <string>File Options</string>
-      </attribute>
-      <layout class="QVBoxLayout" name="verticalLayout_7">
-       <property name="leftMargin">
-        <number>0</number>
-       </property>
-       <property name="topMargin">
-        <number>0</number>
-       </property>
-       <property name="rightMargin">
-        <number>0</number>
-       </property>
-       <property name="bottomMargin">
-        <number>0</number>
-       </property>
-       <item>
-        <widget class="QScrollArea" name="scrollArea_3">
-         <property name="frameShape">
+       <string>File Options</string>
+      </attribute>
+      <layout class="QVBoxLayout" name="verticalLayout_7">
+       <property name="leftMargin">
+        <number>0</number>
+       </property>
+       <property name="topMargin">
+        <number>0</number>
+       </property>
+       <property name="rightMargin">
+        <number>0</number>
+       </property>
+       <property name="bottomMargin">
+        <number>0</number>
+       </property>
+       <item>
+        <widget class="QScrollArea" name="scrollArea_3">
+         <property name="frameShape">
           <enum>QFrame::NoFrame</enum>
          </property>
          <property name="frameShadow">
@@ -674,32 +686,32 @@
      </widget>
      <widget class="QWidget" name="tabColor">
       <attribute name="title">
-       <string>Color</string>
-      </attribute>
-      <layout class="QVBoxLayout" name="verticalLayout_5">
-       <property name="leftMargin">
-        <number>0</number>
-       </property>
-       <property name="topMargin">
-        <number>0</number>
-       </property>
-       <property name="rightMargin">
-        <number>0</number>
-       </property>
-       <property name="bottomMargin">
-        <number>0</number>
-       </property>
-       <item>
-        <widget class="QScrollArea" name="scrollArea">
-         <property name="frameShape">
-          <enum>QFrame::NoFrame</enum>
-         </property>
-         <property name="frameShadow">
-          <enum>QFrame::Plain</enum>
-         </property>
-         <property name="lineWidth">
-          <number>0</number>
-         </property>
+       <string>Color</string>
+      </attribute>
+      <layout class="QVBoxLayout" name="verticalLayout_5">
+       <property name="leftMargin">
+        <number>0</number>
+       </property>
+       <property name="topMargin">
+        <number>0</number>
+       </property>
+       <property name="rightMargin">
+        <number>0</number>
+       </property>
+       <property name="bottomMargin">
+        <number>0</number>
+       </property>
+       <item>
+        <widget class="QScrollArea" name="scrollArea">
+         <property name="frameShape">
+          <enum>QFrame::NoFrame</enum>
+         </property>
+         <property name="frameShadow">
+          <enum>QFrame::Plain</enum>
+         </property>
+         <property name="lineWidth">
+          <number>0</number>
+         </property>
          <property name="widgetResizable">
           <bool>true</bool>
          </property>
@@ -1013,24 +1025,24 @@
      </widget>
      <widget class="QWidget" name="tabPrePress">
       <attribute name="title">
-       <string>Pre-Press</string>
-      </attribute>
-      <layout class="QVBoxLayout" name="verticalLayout_6">
-       <property name="leftMargin">
-        <number>0</number>
-       </property>
-       <property name="topMargin">
-        <number>0</number>
-       </property>
-       <property name="rightMargin">
-        <number>0</number>
-       </property>
-       <property name="bottomMargin">
-        <number>0</number>
-       </property>
-       <item>
-        <widget class="QScrollArea" name="scrollArea_2">
-         <property name="frameShape">
+       <string>Pre-Press</string>
+      </attribute>
+      <layout class="QVBoxLayout" name="verticalLayout_6">
+       <property name="leftMargin">
+        <number>0</number>
+       </property>
+       <property name="topMargin">
+        <number>0</number>
+       </property>
+       <property name="rightMargin">
+        <number>0</number>
+       </property>
+       <property name="bottomMargin">
+        <number>0</number>
+       </property>
+       <item>
+        <widget class="QScrollArea" name="scrollArea_2">
+         <property name="frameShape">
           <enum>QFrame::NoFrame</enum>
          </property>
          <property name="frameShadow">
diff --git a/scribus/ui/prefs_pluginsbase.ui b/scribus/ui/prefs_pluginsbase.ui
index 17244fcdcdb64792e6caf1868c326b2cbdaf8523..ca129015a42feca6846fe268c4605c983fe3ed21 100644
--- a/scribus/ui/prefs_pluginsbase.ui
+++ b/scribus/ui/prefs_pluginsbase.ui
@@ -14,6 +14,18 @@
    <string notr="true">Form</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
+   <property name="leftMargin">
+    <number>0</number>
+   </property>
+   <property name="topMargin">
+    <number>0</number>
+   </property>
+   <property name="rightMargin">
+    <number>0</number>
+   </property>
+   <property name="bottomMargin">
+    <number>0</number>
+   </property>
    <item>
     <widget class="QLabel" name="label_2">
      <property name="font">
diff --git a/scribus/ui/prefs_preflightverifierbase.ui b/scribus/ui/prefs_preflightverifierbase.ui
index 1461d6adae84915cb82f650d8e201bcd34339d51..dae5799e17d4c8f2f357f4b7725a91608a8037a8 100644
--- a/scribus/ui/prefs_preflightverifierbase.ui
+++ b/scribus/ui/prefs_preflightverifierbase.ui
@@ -14,6 +14,18 @@
    <string notr="true">Form</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
+   <property name="leftMargin">
+    <number>0</number>
+   </property>
+   <property name="topMargin">
+    <number>0</number>
+   </property>
+   <property name="rightMargin">
+    <number>0</number>
+   </property>
+   <property name="bottomMargin">
+    <number>0</number>
+   </property>
    <item>
     <widget class="QLabel" name="label">
      <property name="font">
diff --git a/scribus/ui/prefs_printerbase.ui b/scribus/ui/prefs_printerbase.ui
index 470fc45caee2beba91537915ab80f971152fa672..d77e602ec900d662927d4f818cfa6e5db45895db 100644
--- a/scribus/ui/prefs_printerbase.ui
+++ b/scribus/ui/prefs_printerbase.ui
@@ -16,6 +16,18 @@
    <string notr="true">Form</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
+   <property name="leftMargin">
+    <number>0</number>
+   </property>
+   <property name="topMargin">
+    <number>0</number>
+   </property>
+   <property name="rightMargin">
+    <number>0</number>
+   </property>
+   <property name="bottomMargin">
+    <number>0</number>
+   </property>
    <item>
     <widget class="QLabel" name="titleLabel">
      <property name="font">
diff --git a/scribus/ui/prefs_scrapbookbase.ui b/scribus/ui/prefs_scrapbookbase.ui
index 968f9f828a36af7dc5b393e956c27af4d1999fa8..84372f861a5f16f057301cc110fbe7e82e210160 100644
--- a/scribus/ui/prefs_scrapbookbase.ui
+++ b/scribus/ui/prefs_scrapbookbase.ui
@@ -14,6 +14,18 @@
    <string notr="true">Form</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
+   <property name="leftMargin">
+    <number>0</number>
+   </property>
+   <property name="topMargin">
+    <number>0</number>
+   </property>
+   <property name="rightMargin">
+    <number>0</number>
+   </property>
+   <property name="bottomMargin">
+    <number>0</number>
+   </property>
    <item>
     <widget class="QLabel" name="titleLabel">
      <property name="font">
diff --git a/scribus/ui/prefs_spellingbase.ui b/scribus/ui/prefs_spellingbase.ui
index 4cf99e3660eeb06a7c9ecb87f234d44d00f4f32a..b3b85a04d4b17f4d9afd9a9a63e9802395f6c49c 100644
--- a/scribus/ui/prefs_spellingbase.ui
+++ b/scribus/ui/prefs_spellingbase.ui
@@ -14,6 +14,18 @@
    <string notr="true">Form</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout_3">
+   <property name="leftMargin">
+    <number>0</number>
+   </property>
+   <property name="topMargin">
+    <number>0</number>
+   </property>
+   <property name="rightMargin">
+    <number>0</number>
+   </property>
+   <property name="bottomMargin">
+    <number>0</number>
+   </property>
    <item>
     <widget class="QLabel" name="label">
      <property name="font">
diff --git a/scribus/ui/prefs_tableofcontentsbase.ui b/scribus/ui/prefs_tableofcontentsbase.ui
index 8802cab6544444c699ec97abb0fccddc932573bc..7d9c51c17fb25873a431fce50a99a2d46bf59849 100644
--- a/scribus/ui/prefs_tableofcontentsbase.ui
+++ b/scribus/ui/prefs_tableofcontentsbase.ui
@@ -14,6 +14,18 @@
    <string notr="true">Form</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
+   <property name="leftMargin">
+    <number>0</number>
+   </property>
+   <property name="topMargin">
+    <number>0</number>
+   </property>
+   <property name="rightMargin">
+    <number>0</number>
+   </property>
+   <property name="bottomMargin">
+    <number>0</number>
+   </property>
    <item>
     <widget class="QLabel" name="label">
      <property name="font">
diff --git a/scribus/ui/prefs_typographybase.ui b/scribus/ui/prefs_typographybase.ui
index 349202078a7bfa5821f562aeffbab5a3c9eedca3..2b04f5dd9b38c46f3eef8d2dccca08e8b24ae307 100644
--- a/scribus/ui/prefs_typographybase.ui
+++ b/scribus/ui/prefs_typographybase.ui
@@ -14,6 +14,18 @@
    <string notr="true">Form</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout_2">
+   <property name="leftMargin">
+    <number>0</number>
+   </property>
+   <property name="topMargin">
+    <number>0</number>
+   </property>
+   <property name="rightMargin">
+    <number>0</number>
+   </property>
+   <property name="bottomMargin">
+    <number>0</number>
+   </property>
    <item>
     <widget class="QLabel" name="label">
      <property name="font">
diff --git a/scribus/ui/prefs_userinterfacebase.ui b/scribus/ui/prefs_userinterfacebase.ui
index 51dd07fda520bf729f61e4329916e4c8d605007a..ed8f847594947f431f4a343e39bb32aeb22c470e 100644
--- a/scribus/ui/prefs_userinterfacebase.ui
+++ b/scribus/ui/prefs_userinterfacebase.ui
@@ -14,6 +14,18 @@
    <string notr="true">Form</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout_2">
+   <property name="leftMargin">
+    <number>0</number>
+   </property>
+   <property name="topMargin">
+    <number>0</number>
+   </property>
+   <property name="rightMargin">
+    <number>0</number>
+   </property>
+   <property name="bottomMargin">
+    <number>0</number>
+   </property>
    <item>
     <widget class="QLabel" name="titleLabel">
      <property name="font">
preferences2.diff (32,702 bytes)
preferences2.gif (100,601 bytes)
preferences2.gif (100,601 bytes)

jghali

2020-12-14 22:41

administrator   ~0048556

I applied the second version of the patch. Thanks!

Issue History

Date Modified Username Field Change
2020-12-01 17:07 bubu New Issue
2020-12-01 17:07 bubu File Added: preferences.diff
2020-12-01 17:07 bubu File Added: preferences.gif
2020-12-02 21:36 bubu File Added: preferences2.diff
2020-12-02 21:36 bubu File Added: preferences2.gif
2020-12-02 21:36 bubu Note Added: 0048519
2020-12-12 16:52 PeterBenedek Relationship added child of 0013906
2020-12-14 07:55 PeterBenedek Summary Make main list a little heigher to fit all menupoints without scrollbars in Preferences dialog => [Patch] Make main list a little heigher to fit all menupoints without scrollbars in Preferences dialog
2020-12-14 22:40 jghali Summary [Patch] Make main list a little heigher to fit all menupoints without scrollbars in Preferences dialog => Make main list a little heigher to fit all menupoints without scrollbars in Preferences dialog
2020-12-14 22:41 jghali Assigned To => jghali
2020-12-14 22:41 jghali Status new => resolved
2020-12-14 22:41 jghali Resolution open => fixed
2020-12-14 22:41 jghali Fixed in Version => 1.5.7.svn
2020-12-14 22:41 jghali Note Added: 0048556